ScheduleWithDatetime
curl --request POST \
--url https://api.trysela.com/api/leads/<lead-id>/schedule-outbound/ \
--header 'Authorization: Token <api-key>' \
--header 'Content-Type: application/json' \
--data '{
"next_outbound_datetime": "2025-05-24T10:00:00+00:00"
}'import requests
url = "https://api.trysela.com/api/leads/{id}/schedule-outbound/"
payload = { "next_outbound_datetime": "<string>" }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({next_outbound_datetime: '<string>'})
};
fetch('https://api.trysela.com/api/leads/{id}/schedule-outbound/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"scheduled_datetime": "2025-05-24T10:00:00+00:00"
}Leads
Schedule an Outbound Call
Schedules an outbound call for a lead. The datetime should be in the future and with iso-8601 format. If not provided, the next available time will be scheduled. If the datetime is in the past, the outbound will not be scheduled. If the outbound is already scheduled, the outbound will be rescheduled.
POST
/
api
/
leads
/
{id}
/
schedule-outbound
/
ScheduleWithDatetime
Authorizations
Token-based authentication with required prefix "Token"
Path Parameters
A unique integer value identifying this lead.
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Datetime in the future with '%Y-%m-%dT%H:%M:%S%z' format. If not provided, the next available time will be scheduled.
Response
Outbound scheduled successfully
Document the scheduled outbound response.
Datetime when the outbound call was scheduled.
⌘I